summaryrefslogtreecommitdiff
path: root/packages/busybox/files
diff options
context:
space:
mode:
authorJohn Bowler <jbowler@nslu2-linux.org>2005-05-25 17:14:37 +0000
committerJohn Bowler <jbowler@nslu2-linux.org>2005-05-25 17:14:37 +0000
commitab67512dd0019cd2d0f1beb718de0fe255037509 (patch)
tree35cffb92c34aef7e3436c94955bfa21b7e702e78 /packages/busybox/files
parentb59f7b5c9da751e5ef22f523565239cd75d76f74 (diff)
Merge with OE (there may still be a bug in the busybox postinst script)
2005/05/25 16:24:12+01:00 reciva.com!pb patch usb.rc to work with busybox (no "grep -o") 2005/05/25 13:09:04+01:00 reciva.com!pb Merge bk://oe-devel@openembedded-devel.bkbits.net/openembedded into mill.internal.reciva.com:/nexus/home/pb/oe/oe 2005/05/25 13:05:58+01:00 reciva.com!pb apply patch to udhcpc to send the current hostname if no -H option is given 2005/05/25 12:54:31+02:00 uni-frankfurt.de!mickeyl Merge bk://oe-devel@oe-devel.bkbits.net/openembedded into r2d2.tm.informatik.uni-frankfurt.de:/local/pkg/oe/packages 2005/05/25 12:54:19+02:00 uni-frankfurt.de!mickeyl fix yacc in bison-native 2005/05/25 11:48:52+01:00 reciva.com!pb turn on support for "readlink -f", needed by usbutils 2005/05/25 11:40:50+01:00 reciva.com!pb Merge bk://oe-devel@openembedded-devel.bkbits.net/openembedded into mill.internal.reciva.com:/nexus/home/pb/oe/oe 2005/05/25 11:37:22+01:00 reciva.com!pb don't require /etc/httpd.conf to start busybox httpd, it works fine without that file 2005/05/25 12:29:58+02:00 handhelds.org!CoreDump Add altboot: A text based 'boot manager' (/sbin/init hack) to allow booting from SD and CF, boot a recovery shell (init=/bin/sh) or boot into a GUI-less runlevel 2005/05/25 11:24:50+01:00 reciva.com!pb package busybox udhcpd bits separately; remove stray copy of main postinst in -httpd package. 2005/05/25 11:52:12+02:00 local!hrw Merge bk://oe-devel.bkbits.net/openembedded into marcinj.local:/home/hrw/zaurus/oe/openembedded 2005/05/25 11:51:20+02:00 local!hrw regenerated dejavu fonts 2005/05/25 10:50:32+01:00 reciva.com!pb set default update-rc.d parameters to "defaults" BKrev: 4294b27d6MVA-cFYArKaJud80nBnzA
Diffstat (limited to 'packages/busybox/files')
-rw-r--r--packages/busybox/files/busybox-httpd44
1 files changed, 44 insertions, 0 deletions
diff --git a/packages/busybox/files/busybox-httpd b/packages/busybox/files/busybox-httpd
index e69de29bb2..c8348e54a7 100644
--- a/packages/busybox/files/busybox-httpd
+++ b/packages/busybox/files/busybox-httpd
@@ -0,0 +1,44 @@
+#!/bin/sh
+DAEMON=/usr/sbin/httpd
+NAME=httpd
+DESC="Busybox HTTP Daemon"
+HTTPROOT="/srv/www"
+ARGS="-h $HTTPROOT"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -d $HTTPROOT ]; then
+ echo "$HTTPROOT is missing."
+ exit 1
+ fi
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0